%define	name	qrblcheck
%define	version	0.93
%define	release	3rph

Summary:	Extracts dul & rbl ip addresses
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
URL:		http://jon.rusts.net/qrblcheck.c
Source:		%{name}-%{version}.tar.bz2
Patch0:		localhost.patch.bz2
Requires:	qmail >= 1.03-4mdk
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
qrblcheck is basically rblcheck 1.4 with a chunk of code tacked on that
will extract the ip address of the last relay mail server from a message 
input on stdin -- handy for use in a .qmail file

%prep
%setup -n %{name}-%{version}
%patch -p0

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
gcc %{optflags} -o qrblcheck -lresolv qrblcheck.c

%install
rm -rf %{buildroot}
install -d %{buildroot}/%{_bindir}/
install -m 755 %{name} %{buildroot}/%{_bindir}/

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}

%changelog
* Fri Aug  9 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.93-3rph
- rebuild for 9.0
- some spec cleanups

* Mon Apr 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.93-2rph
- rebuild for rpmhelp.net

* Mon Nov 26 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.93-1mdk
- initial cooker contrib.
- added localhost as db machine.
